/***********************************************************/
/*                                                         */
/* Amiga C Encyclopedia (ACE) V3.0      Amiga C Club (ACC) */
/* -------------------------------      ------------------ */
/*                                                         */
/* Book:    ACM Graphics                Amiga C Club       */
/* Chapter: GraphicalTricks             Tulevagen 22       */
/* File:    Example8Graphics.c          181 41  LIDINGO    */
/* Author:  Anders Bjerin               SWEDEN             */
/* Date:    92-04-10                                       */
/* Version: 1.00                                           */
/*                                                         */
/*   Copyright 1992, Anders Bjerin - Amiga C Club (ACC)    */
/*                                                         */
/* Registered members may use this program freely in their */
/*     own commercial/noncommercial programs/articles.     */
/*                                                         */
/***********************************************************/

#include <exec/types.h>

UWORD chip MapData[21][48]=
{
	/* Block 1: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 1 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 2 */
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000
  },

	/* Block 2: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 1 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 2 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF
  },

	/* Block 3: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,

    /* BitPlane 1 */
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,

    /* BitPlane 2 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF
  },

	/* Block 4: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFBF7,
    0xEFDB,
  
    /* BitPlane 1 */
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0C18,
    0x3EFC,
  
    /* BitPlane 2 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF
  },

	/* Block 5: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFF7F,
    0xF7B7,
  
    /* BitPlane 1 */
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0180,
    0x3BDC,
  
    /* BitPlane 2 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF
  },

	/* Block 6: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 1 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 2 */
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x1000,
    0x3938
  },

	/* Block 7: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 1 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 2 */
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x1820,
    0x3D74
  },

	/* Block 8: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 1 */
    0x0000,
    0x0001,
    0x0003,
    0x0003,
    0x0007,
    0x0007,
    0x000F,
    0x001F,
    0x003F,
    0x003F,
    0x007F,
    0x00FF,
    0x01FF,
    0x07FF,
    0x3FFF,
    0x7FFF,
  
    /* BitPlane 2 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF
  },

	/* Block 9: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 1 */
    0x0000,
    0x0001,
    0x0007,
    0x001F,
    0x007F,
    0x00FF,
    0x03FF,
    0x07FF,
    0x07FF,
    0x07FF,
    0x0FFF,
    0x1FFF,
    0x1FFF,
    0x1FFF,
    0x3FFF,
    0x7FFF,
  
    /* BitPlane 2 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF
  },

	/* Block 10: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xBFFF,
    0xBFFF,
    0xDFFF,
    0xEFFF,
    0xEFFF,
    0xF7FF,
    0xFBFF,
    0xFDFF,
    0xFDFF,
    0xFEFF,
    0xFF7F,
    0xFF9F,
    0xFFE7,
    0xFFF9,
    0xFFFF,
  
    /* BitPlane 1 */
    0x0000,
    0xC000,
    0xC000,
    0xE000,
    0xF000,
    0xF000,
    0xF800,
    0xFC00,
    0xFE00,
    0xFE00,
    0xFF00,
    0xFF80,
    0xFFE0,
    0xFFF8,
    0xFFFE,
    0xFFFE,
  
    /* BitPlane 2 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF
  },

	/* Block 11: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xDFFF,
    0xE7FF,
    0xF9FF,
    0xFEFF,
    0xFF7F,
    0xFFBF,
    0xFFDF,
    0xFFEF,
    0xFFEF,
    0xFFF7,
    0xFFF7,
    0xFFFB,
    0xFFFD,
    0xFFFF,
  
    /* BitPlane 1 */
    0x0000,
    0x8000,
    0xE000,
    0xF800,
    0xFE00,
    0xFF00,
    0xFF80,
    0xFFC0,
    0xFFE0,
    0xFFF0,
    0xFFF0,
    0xFFF8,
    0xFFF8,
    0xFFFC,
    0xFFFE,
    0xFFFE,
  
    /* BitPlane 2 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF
  },

	/* Block 12: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 1 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 2 */
    0x0000,
    0x0001,
    0x0003,
    0x0003,
    0x0007,
    0x000F,
    0x000F,
    0x001F,
    0x001F,
    0x003F,
    0x00FF,
    0x03FF,
    0x07FF,
    0x0FFF,
    0x3FFF,
    0x7FFF
  },

	/* Block 13: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 1 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 2 */
    0x0000,
    0x0001,
    0x0007,
    0x001F,
    0x00FF,
    0x01FF,
    0x03FF,
    0x07FF,
    0x07FF,
    0x0FFF,
    0x1FFF,
    0x1FFF,
    0x1FFF,
    0x3FFF,
    0x3FFF,
    0x7FFF
  },

	/* Block 14: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 1 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 2 */
    0x0000,
    0x8000,
    0xC000,
    0xF000,
    0xF800,
    0xFC00,
    0xFE00,
    0xFE00,
    0xFF00,
    0xFF00,
    0xFF00,
    0xFF80,
    0xFFE0,
    0xFFF8,
    0xFFFC,
    0xFFFE
  },

	/* Block 15: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 1 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 2 */
    0x0000,
    0x8000,
    0xE000,
    0xF800,
    0xFF00,
    0xFF80,
    0xFFC0,
    0xFFE0,
    0xFFE0,
    0xFFF0,
    0xFFF0,
    0xFFF8,
    0xFFF8,
    0xFFFC,
    0xFFFC,
    0xFFFE
  },

	/* Block 16: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFC3F,
    0xFF5F,
    0xFDEF,
    0xF757,
    0xFFA7,
    0xFFF7,
    0xFFD7,
    0xFFEF,
    0xFFFF,
    0xFEFF,
    0xFEFF,
    0xFEFF,
    0xFEFF,
    0xECFB,
  
    /* BitPlane 1 */
    0x0000,
    0x0000,
    0x03C0,
    0x07E0,
    0x0FF0,
    0x1FF8,
    0x1FF8,
    0x1FF8,
    0x1FF8,
    0x0FF0,
    0x07E0,
    0x0100,
    0x0100,
    0x0100,
    0x0100,
    0x371C,
  
    /* BitPlane 2 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFE7F,
    0xFE7F,
    0xFE7F,
    0xFE7F,
    0xFE7F
  },

	/* Block 17: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFEBF,
    0xFFFF,
    0xFFBF,
    0xFFFF,
    0xFF5F,
    0xFFFF,
    0xFFBF,
    0xFFFF,
    0xFF4F,
    0xFFFF,
    0xFFBF,
    0xFFEF,
    0xFF6F,
  
    /* BitPlane 1 */
    0x0000,
    0x0000,
    0x0080,
    0x01C0,
    0x01C0,
    0x01C0,
    0x01E0,
    0x03E0,
    0x03E0,
    0x07E0,
    0x07E0,
    0x07F0,
    0x0FE0,
    0x07F0,
    0x0FF0,
    0x0FF0,
  
    /* BitPlane 2 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF
  },

	/* Block 18: */
  {
    /* BitPlane 0 */
    0xFFBF,
    0xFFFF,
    0xFFDF,
    0xFF67,
    0xFFDF,
    0xFFEB,
    0xFFB7,
    0xFFEF,
    0xFFDB,
    0xFFEF,
    0xFEF7,
    0xFE7F,
    0xFE7F,
    0xFE7F,
    0xEE77,
    0xF67B,
  
    /* BitPlane 1 */
    0x0FF0,
    0x1FF0,
    0x0FF8,
    0x1FF8,
    0x3FF8,
    0x1FFC,
    0x3FF8,
    0x1FFC,
    0x3FFC,
    0x3FFC,
    0x1D98,
    0x0180,
    0x0180,
    0x0180,
    0x1188,
    0x3B9C,
  
    /* BitPlane 2 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFEBF,
    0xFE3F,
    0xFE3F,
    0xFE3F,
    0xFE3F,
    0xFF3F
  },

	/* Block 19: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFDFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xDFFF,
    0xFDFF,
    0xFFF7,
    0xEFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 1 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 2 */
    0x0000,
    0x0000,
    0x0000,
    0x0200,
    0x0200,
    0x0200,
    0x0300,
    0x0080,
    0x0080,
    0x0100,
    0x2200,
    0x2610,
    0x1418,
    0x1418,
    0x2210,
    0x2252
  },

	/* Block 20: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFF7F,
    0xFFFF,
    0xFFFF,
    0xFFF7,
    0xFBFF,
    0xFFFF,
    0xFFFF,
    0xFFFB,
    0xEFFF,
    0xFFFF,
    0xFFBF,
    0xFFFF,
  
    /* BitPlane 1 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
  
    /* BitPlane 2 */
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0080,
    0x0100,
    0x0200,
    0x0208,
    0x0408,
    0x0810,
    0x0808,
    0x0404,
    0x1208,
    0x1210,
    0x2250,
    0x2490
  },

	/* Block 21: */
  {
    /* BitPlane 0 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xF3F3,
    0xFDFD,
  
    /* BitPlane 1 */
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x0000,
    0x3030,
    0x7C7C,
  
    /* BitPlane 2 */
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xFFFF,
    0xCFCF,
    0x8383
  }
};
